%define cvs_date 20070917

# Note that this is NOT a relocatable package
Name: epsilon
Version: 0.3.0.011
Release: alt1.%cvs_date

Summary: Enlightened Thumbnail Generator
License: BSD
Group: System/Libraries
Packager: Pavlov Konstantin <thresh@altlinux.ru>
URL: http://www.enlightenment.org
Source: %name-%version.tar.bz2

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

BuildRequires: libepeg-devel libpng-devel libecore-devel libevas-devel libxine-devel
BuildRequires: libedje-devel imlib2-devel libX11-devel libjpeg-devel

%description
This is a small, display independent, and quick thumbnailing library.
The lib itself conforms to the standard put forth by freedesktop.org
You can find out more information about it at
http://triq.net/~jens/thumbnail-spec/index.html.

%package -n lib%name
Summary: epsilon library
Group: System/Libraries

%description -n lib%name
This is a small, display independent, and quick thumbnailing library.
The lib itself conforms to the standard put forth by freedesktop.org
You can find out more information about it at
http://triq.net/~jens/thumbnail-spec/index.html.

This package contains shared epsilon library.

%package -n lib%name-devel
Summary: epsilon headers and development libraries
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This is a small, display independent, and quick thumbnailing library.
The lib itself conforms to the standard put forth by freedesktop.org
You can find out more information about it at
http://triq.net/~jens/thumbnail-spec/index.html.

This package contains epsilon headers and development libraries

%package -n lib%name-devel-static
Summary: epsilon static libraries
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This is a small, display independent, and quick thumbnailing library.
The lib itself conforms to the standard put forth by freedesktop.org
You can find out more information about it at
http://triq.net/~jens/thumbnail-spec/index.html.

This package contains static libraries

%prep
%setup -q -n %name

%build
%__autoreconf

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure \
		%{subst_enable static} \
		--enable-thumbnailer-xine

%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n %name
%_bindir/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

%files -n lib%name
%_libdir/*.so.*
%_libdir/epsilon

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif


%changelog
* Mon Sep 17 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.0.011-alt1.20070917
- CVS from 20070917.

* Thu Sep 06 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.0.011-alt1.20070905
- CVS from 20070905.

* Tue Jul 31 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.0.010-alt1.20070731
- CVS from 20070731.

* Wed May 09 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.0.008-alt1.20070509
- CVS from 20070509.
- Updated BuildRequires.
- Fixed Requires for devel packages.

* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 0.3.0-alt0.2_002_20050530
- updated from cvs.

* Tue May 24 2005 Denis Klykvin <nikon@altlinux.ru> 0.3.0-alt0.2_002_20050524
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 0.3.0-alt0.2_002_20050516
- updated from cvs.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 0.3.0-alt0.2_002_20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 0.3.0-alt0.2_002_20050428
- updated from cvs.
- minor spec fixes.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 0.3.0-alt0.2_002_20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 0.3.0-alt0.2_002_20050421
- updated from cvs

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 0.3.0-alt0.2_002_20050329
- updated from cvs.

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 0.3.0-alt0.1_20050122
- updated from cvs.

* Tue Dec 28 2004 Alex Murygin <murygin@altlinux.ru> 0.3.0-alt0.1_20041228
- updated from cvs.

* Fri Dec 17 2004 Alex Murygin <murygin@altlinux.ru> 0.3.0-alt0.1_20041216
- updated from cvs.

* Sun Oct 24 2004 Alex Murygin <murygin@altlinux.ru> 0.3.0-alt0.1_20041022
- First build for Sisyphus.

